Index: trunk/source/physics_lists/builders/include/G4ChargeExchangePhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4ChargeExchangePhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4ChargeExchangePhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ChargeExchangePhysics.hh,v 1.1 2008/11/20 12:38:11 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4ChargeExchangePhysics.hh,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -49,5 +49,6 @@
 {
 public: 
-  G4ChargeExchangePhysics(G4int ver = 0, G4bool glauber = false);
+  G4ChargeExchangePhysics(G4int ver = 0);
+  G4ChargeExchangePhysics(G4int ver, G4bool glauber);
   virtual ~G4ChargeExchangePhysics();
 
@@ -61,5 +62,4 @@
   // registered to the process manager of each particle type 
   virtual void ConstructProcess();
-
 private:
 
Index: trunk/source/physics_lists/builders/include/G4DecayPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4DecayPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4DecayPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4DecayPhysics.hh,v 1.2 2009/11/05 01:24:47 gum Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4DecayPhysics.hh,v 1.4 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -51,5 +51,6 @@
 {
   public: 
-    G4DecayPhysics(const G4String& name = "decay", G4int ver = 1);
+    G4DecayPhysics(G4int ver = 1);
+    G4DecayPhysics(const G4String& name, G4int ver = 1);
     virtual ~G4DecayPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4EmDNAPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmDNAPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmDNAPhysics.hh	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EmDNAPhysics.hh,v 1.1 2009/03/25 11:28:07 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmDNAPhysics.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #ifndef G4EmDNAPhysics_h
@@ -39,6 +39,9 @@
 {
 public:
-  G4EmDNAPhysics(G4int ver = 1,
-			      const G4String& name = "G4EmDNAPhysics");
+
+  G4EmDNAPhysics(G4int ver = 1);
+
+  // obsolete
+  G4EmDNAPhysics(G4int ver, const G4String& name);
 
   virtual ~G4EmDNAPhysics();
Index: trunk/source/physics_lists/builders/include/G4EmExtraPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmExtraPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmExtraPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmExtraPhysics.hh,v 1.2 2007/11/15 18:08:11 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmExtraPhysics.hh,v 1.3 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -55,5 +55,10 @@
 {
 public:
-  G4EmExtraPhysics(const G4String& name = "EM extra");
+
+  G4EmExtraPhysics(G4int ver = 1);
+
+  // obsolete
+  G4EmExtraPhysics(const G4String& name);
+
   virtual ~G4EmExtraPhysics();
 
@@ -85,4 +90,6 @@
   G4MuNuclearInteraction*  theMuNuc1;
   G4MuNuclearInteraction*  theMuNuc2;
+
+  G4int verbose;
 };
 
Index: trunk/source/physics_lists/builders/include/G4EmLivermorePhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmLivermorePhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmLivermorePhysics.hh	(revision 1315)
@@ -24,7 +24,6 @@
 // ********************************************************************
 //
-//
-// $Id: G4EmLivermorePhysics.hh,v 1.1 2009/03/25 20:54:32 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmLivermorePhysics.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #ifndef G4EmLivermorePhysics_h
@@ -39,6 +38,9 @@
 {
 public:
-  G4EmLivermorePhysics(G4int ver = 1,
-			      const G4String& name = "G4EmLivermorePhysics");
+
+  G4EmLivermorePhysics(G4int ver = 1);
+
+  // obsolete
+  G4EmLivermorePhysics(G4int ver, const G4String& name);
 
   virtual ~G4EmLivermorePhysics();
Index: trunk/source/physics_lists/builders/include/G4EmLivermorePolarizedPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmLivermorePolarizedPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmLivermorePolarizedPhysics.hh	(revision 1315)
@@ -24,7 +24,6 @@
 // ********************************************************************
 //
-//
-// $Id: G4EmLivermorePolarizedPhysics.hh,v 1.1 2009/03/25 20:54:32 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmLivermorePolarizedPhysics.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #ifndef G4EmLivermorePolarizedPhysics_h
@@ -39,6 +38,8 @@
 {
 public:
-  G4EmLivermorePolarizedPhysics(G4int ver = 1,
-			      const G4String& name = "G4EmLivermorePolarizedPhysics");
+  G4EmLivermorePolarizedPhysics(G4int ver = 1);
+
+  // obsolete
+  G4EmLivermorePolarizedPhysics(G4int ver, const G4String&);
 
   virtual ~G4EmLivermorePolarizedPhysics();
Index: trunk/source/physics_lists/builders/include/G4EmPenelopePhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmPenelopePhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmPenelopePhysics.hh	(revision 1315)
@@ -24,7 +24,6 @@
 // ********************************************************************
 //
-//
-// $Id: G4EmPenelopePhysics.hh,v 1.1 2009/03/25 13:24:57 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmPenelopePhysics.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #ifndef G4EmPenelopePhysics_h
@@ -39,6 +38,9 @@
 {
 public:
-  G4EmPenelopePhysics(G4int ver = 1,
-			      const G4String& name = "G4EmPenelopePhysics");
+
+  G4EmPenelopePhysics(G4int ver = 1);
+
+  // obsolete
+  G4EmPenelopePhysics(G4int ver, const G4String& name);
 
   virtual ~G4EmPenelopePhysics();
Index: trunk/source/physics_lists/builders/include/G4EmStandardPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmStandardPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmStandardPhysics.hh	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EmStandardPhysics.hh,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics.hh,v 1.5 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -54,5 +54,9 @@
 {
 public:
-  G4EmStandardPhysics(G4int ver = 0, const G4String& name = "G4EmStandard");
+  G4EmStandardPhysics(G4int ver = 0);
+
+  // obsolete
+  G4EmStandardPhysics(G4int ver, const G4String& name);
+
   virtual ~G4EmStandardPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option1.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option1.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option1.hh	(revision 1315)
@@ -24,7 +24,6 @@
 // ********************************************************************
 //
-//
-// $Id: G4EmStandardPhysics_option1.hh,v 1.1 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics_option1.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -57,6 +56,9 @@
 {
 public:
-  G4EmStandardPhysics_option1(G4int ver = 1,
-			      const G4String& name = "G4EmStandard_opt1");
+
+  G4EmStandardPhysics_option1(G4int ver = 1);
+
+  // obsolete
+  G4EmStandardPhysics_option1(G4int ver, const G4String& name);
 
   virtual ~G4EmStandardPhysics_option1();
Index: trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option2.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option2.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option2.hh	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EmStandardPhysics_option2.hh,v 1.1 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics_option2.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -57,6 +57,9 @@
 {
 public:
-  G4EmStandardPhysics_option2(G4int ver = 1,
-			      const G4String& name = "G4EmStandard_opt2");
+
+  G4EmStandardPhysics_option2(G4int ver = 1);
+
+  // obsolete
+  G4EmStandardPhysics_option2(G4int ver, const G4String& name);
 
   virtual ~G4EmStandardPhysics_option2();
Index: trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option3.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option3.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4EmStandardPhysics_option3.hh	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EmStandardPhysics_option3.hh,v 1.1 2008/03/13 12:11:02 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics_option3.hh,v 1.2 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -54,6 +54,8 @@
 {
 public:
-  G4EmStandardPhysics_option3(G4int ver = 1,
-			      const G4String& name = "G4EmStandard_opt3");
+  G4EmStandardPhysics_option3(G4int ver = 1);
+
+  // obsolete
+  G4EmStandardPhysics_option3(G4int ver, const G4String& name);
 
   virtual ~G4EmStandardPhysics_option3();
Index: trunk/source/physics_lists/builders/include/G4HadronDElasticPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4HadronDElasticPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4HadronDElasticPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronDElasticPhysics.hh,v 1.1 2007/11/13 16:19:52 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronDElasticPhysics.hh,v 1.2 2010/06/03 11:04:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -43,15 +43,16 @@
 #include "globals.hh"
 #include "G4VPhysicsConstructor.hh"
-#include "G4UHadronElasticProcess.hh"
-#include "G4NeutronHPElastic.hh"
-#include "G4NeutronHPElasticData.hh"
 
 class G4HadronDElasticPhysics : public G4VPhysicsConstructor
 {
 public: 
-  G4HadronDElasticPhysics(G4int ver = 0, G4bool hp = false);
+
+  G4HadronDElasticPhysics(G4int ver = 1);
+
+  // obsolete
+  G4HadronDElasticPhysics(G4int ver, G4bool hp);
+
   virtual ~G4HadronDElasticPhysics();
 
-public: 
   // This method will be invoked in the Construct() method. 
   // each particle type will be instantiated
@@ -65,8 +66,5 @@
 private:
 
-  G4String mname;
-
   G4int    verbose;
-  G4bool   hpFlag;
   G4bool   wasActivated;
 };
Index: trunk/source/physics_lists/builders/include/G4HadronElasticPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4HadronElasticPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4HadronElasticPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronElasticPhysics.hh,v 1.4 2006/11/23 15:46:04 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronElasticPhysics.hh,v 1.6 2010/06/03 16:28:39 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -53,5 +53,6 @@
 {
 public: 
-  G4HadronElasticPhysics(const G4String& name = "elastic",
+   G4HadronElasticPhysics(G4int ver = 1);
+   G4HadronElasticPhysics(const G4String& name,
 			 G4int ver = 0, G4bool hp = false,
                          G4bool glauber = false);
Index: trunk/source/physics_lists/builders/include/G4HadronHElasticPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4HadronHElasticPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4HadronHElasticPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronHElasticPhysics.hh,v 1.4 2009/11/28 17:35:01 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronHElasticPhysics.hh,v 1.5 2010/06/03 11:04:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -43,17 +43,16 @@
 #include "globals.hh"
 #include "G4VPhysicsConstructor.hh"
-#include "G4UHadronElasticProcess.hh"
-#include "G4HadronElastic.hh"
-#include "G4NeutronHPElastic.hh"
-#include "G4NeutronHPElasticData.hh"
 
 class G4HadronHElasticPhysics : public G4VPhysicsConstructor
 {
 public: 
-  G4HadronHElasticPhysics(G4int ver = 0, G4bool hp = false, 
-			  const G4String& type = "");
+
+  G4HadronHElasticPhysics(G4int ver = 0); 
+
+  // obsolete
+  G4HadronHElasticPhysics(G4int ver, G4bool hp, const G4String& type="");
+
   virtual ~G4HadronHElasticPhysics();
 
-public: 
   // This method will be invoked in the Construct() method. 
   // each particle type will be instantiated
@@ -68,7 +67,5 @@
 
   G4int    verbose;
-  G4bool   hpFlag;
   G4bool   wasActivated;
-  G4String subtype;
 };
 
Index: trunk/source/physics_lists/builders/include/G4HadronQElasticPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4HadronQElasticPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4HadronQElasticPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronQElasticPhysics.hh,v 1.1 2006/11/17 19:19:40 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronQElasticPhysics.hh,v 1.2 2010/06/03 11:04:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -50,9 +50,12 @@
 {
 public: 
-  G4HadronQElasticPhysics(const G4String& name = "elastic",
-			  G4int ver = 1);
+
+  G4HadronQElasticPhysics(G4int ver = 1);
+
+  // obsolete
+  G4HadronQElasticPhysics(const G4String& name, G4int ver);
+
   virtual ~G4HadronQElasticPhysics();
 
-public: 
   // This method will be invoked in the Construct() method. 
   // each particle type will be instantiated
Index: trunk/source/physics_lists/builders/include/G4IonBinaryCascadePhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4IonBinaryCascadePhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4IonBinaryCascadePhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonBinaryCascadePhysics.hh,v 1.1 2006/10/31 11:35:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonBinaryCascadePhysics.hh,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -60,5 +60,6 @@
 {
 public:
-  G4IonBinaryCascadePhysics(const G4String& name="ions", G4int verb = 0);
+  G4IonBinaryCascadePhysics(G4int ver = 0);
+  G4IonBinaryCascadePhysics(const G4String& name, G4int ver = 0);
   virtual ~G4IonBinaryCascadePhysics();
 
Index: trunk/source/physics_lists/builders/include/G4IonInclAblaPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4IonInclAblaPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4IonInclAblaPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonInclAblaPhysics.hh,v 1.1 2009/07/19 18:24:03 kaitanie Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonInclAblaPhysics.hh,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -60,5 +60,6 @@
 {
 public:
-  G4IonInclAblaPhysics(const G4String& name="ions", G4int verb = 0);
+  G4IonInclAblaPhysics(G4int ver = 0);
+  G4IonInclAblaPhysics(const G4String& name, G4int ver = 0);
   virtual ~G4IonInclAblaPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4IonPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4IonPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4IonPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonPhysics.hh,v 1.1 2006/10/31 11:35:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonPhysics.hh,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -55,5 +55,7 @@
 {
 public:
-  G4IonPhysics(const G4String& name="ions");
+  G4IonPhysics(G4int verbose =1);
+  //obsolete
+  G4IonPhysics(const G4String& name);
   virtual ~G4IonPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4IonQMDPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4IonQMDPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4IonQMDPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonQMDPhysics.hh,v 1.1 2009/11/27 17:25:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonQMDPhysics.hh,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -63,5 +63,6 @@
 {
 public:
-  G4IonQMDPhysics(const G4String& name="ions", G4int verb = 0);
+  G4IonQMDPhysics(G4int verb = 0);
+  G4IonQMDPhysics(const G4String& name, G4int ver = 0);
   virtual ~G4IonQMDPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4LHEPStoppingPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4LHEPStoppingPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4LHEPStoppingPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4LHEPStoppingPhysics.hh,v 1.1 2006/10/31 11:35:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4LHEPStoppingPhysics.hh,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -53,6 +53,6 @@
 {
 public: 
-  G4LHEPStoppingPhysics(const G4String& name = "stopping",
-			G4int ver = 1);
+  G4LHEPStoppingPhysics(G4int ver = 1);
+  G4LHEPStoppingPhysics(const G4String& name, G4int ver = 1);
   virtual ~G4LHEPStoppingPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4NeutronTrackingCut.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4NeutronTrackingCut.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4NeutronTrackingCut.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4NeutronTrackingCut.hh,v 1.2 2008/09/17 18:19:15 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4NeutronTrackingCut.hh,v 1.3 2010/06/04 15:28:35 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -48,5 +48,6 @@
 {
   public: 
-    G4NeutronTrackingCut(const G4String& name = "neutronTrackingCut",G4int ver=0);
+    G4NeutronTrackingCut(G4int ver=0);
+    G4NeutronTrackingCut(const G4String& name,G4int ver=0);
     virtual ~G4NeutronTrackingCut();
 
Index: trunk/source/physics_lists/builders/include/G4OpticalPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4OpticalPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4OpticalPhysics.hh	(revision 1315)
@@ -64,5 +64,6 @@
   public:
 
-    G4OpticalPhysics(G4int verbose = 0, const G4String& name = "Optical");
+    G4OpticalPhysics(G4int verbose = 0);
+    G4OpticalPhysics(G4int verbose, const G4String& name);
     virtual ~G4OpticalPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4QAtomicPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4QAtomicPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4QAtomicPhysics.hh	(revision 1315)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QAtomicPhysics.hh,v 1.1 2009/11/20 10:24:28 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QAtomicPhysics.hh,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -51,5 +51,6 @@
 {
 public:
-  G4QAtomicPhysics(G4int ver = 0, const G4String& name = "G4QAtomic");
+  G4QAtomicPhysics(G4int ver = 0);
+  G4QAtomicPhysics(G4int ver, const G4String& name);
   virtual ~G4QAtomicPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4QCaptureAtRestPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4QCaptureAtRestPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4QCaptureAtRestPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCaptureAtRestPhysics.hh,v 1.1 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QCaptureAtRestPhysics.hh,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -56,5 +56,6 @@
 {
 public: 
-  G4QCaptureAtRestPhysics(const G4String& name = "nuclear_capture", G4int ver = 1);
+  G4QCaptureAtRestPhysics(G4int ver = 1);
+  G4QCaptureAtRestPhysics(const G4String& name, G4int ver = 1);
   virtual ~G4QCaptureAtRestPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4QNeutrinoPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4QNeutrinoPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4QNeutrinoPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QNeutrinoPhysics.hh,v 1.2 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QNeutrinoPhysics.hh,v 1.3 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -60,5 +60,6 @@
 {
 public:
-  G4QNeutrinoPhysics(const G4String& name = "CHIPS neutrino-nuclear");
+  G4QNeutrinoPhysics(G4int verbose =1);
+  G4QNeutrinoPhysics(const G4String& name);
   virtual ~G4QNeutrinoPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4QPhotoNuclearPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4QPhotoNuclearPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4QPhotoNuclearPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QPhotoNuclearPhysics.hh,v 1.2 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QPhotoNuclearPhysics.hh,v 1.3 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -66,5 +66,6 @@
 {
 public:
-  G4QPhotoNuclearPhysics(const G4String& name = "CHIPS photo-nuclear");
+  G4QPhotoNuclearPhysics(G4int verbose =1);
+  G4QPhotoNuclearPhysics(const G4String& name);
   virtual ~G4QPhotoNuclearPhysics();
 
Index: trunk/source/physics_lists/builders/include/G4QStoppingPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4QStoppingPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4QStoppingPhysics.hh	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QStoppingPhysics.hh,v 1.2 2007/04/26 16:03:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QStoppingPhysics.hh,v 1.6 2010/06/04 09:59:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -50,5 +50,6 @@
 {
 public: 
-  G4QStoppingPhysics(const G4String& name = "stopping",
+  G4QStoppingPhysics(G4int ver = 1);
+  G4QStoppingPhysics(const G4String& name,
 		     G4int ver = 1,
 		     G4bool UseMuonMinusCapture=true);
Index: trunk/source/physics_lists/builders/include/G4RadioactiveDecayPhysics.hh
===================================================================
--- trunk/source/physics_lists/builders/include/G4RadioactiveDecayPhysics.hh	(revision 1274)
+++ trunk/source/physics_lists/builders/include/G4RadioactiveDecayPhysics.hh	(revision 1315)
@@ -39,5 +39,6 @@
 {
 public: 
-  G4RadioactiveDecayPhysics(const G4String& name = "raddecay");
+  G4RadioactiveDecayPhysics(G4int verbose =1);
+  G4RadioactiveDecayPhysics(const G4String& name);
   virtual ~G4RadioactiveDecayPhysics();
 
Index: trunk/source/physics_lists/builders/src/G4ChargeExchangePhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4ChargeExchangePhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4ChargeExchangePhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ChargeExchangePhysics.cc,v 1.1 2008/11/20 12:38:11 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4ChargeExchangePhysics.cc,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -53,4 +53,12 @@
 G4ChargeExchangePhysics::G4ChargeExchangePhysics(G4int ver, G4bool glauber)
   : G4VPhysicsConstructor("chargeExchange"), verbose(ver), glFlag(glauber),
+    wasActivated(false)
+{
+  if(verbose > 1) G4cout << "### ChargeExchangePhysics" << G4endl;
+  model = 0;
+}
+
+G4ChargeExchangePhysics::G4ChargeExchangePhysics(G4int ver)
+  : G4VPhysicsConstructor("chargeExchange"), verbose(ver), glFlag(false),
     wasActivated(false)
 {
Index: trunk/source/physics_lists/builders/src/G4DecayPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4DecayPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4DecayPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4DecayPhysics.cc,v 1.1 2006/10/31 11:35:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4DecayPhysics.cc,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -54,4 +54,8 @@
 #include "G4ShortLivedConstructor.hh"
 
+
+G4DecayPhysics::G4DecayPhysics(G4int ver)
+  :  G4VPhysicsConstructor("Decay"), verbose(ver), wasActivated(false)
+{}
 
 G4DecayPhysics::G4DecayPhysics(const G4String& name, G4int ver)
Index: trunk/source/physics_lists/builders/src/G4EmDNAPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmDNAPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmDNAPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmDNAPhysics.cc,v 1.2 2009/11/01 13:21:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmDNAPhysics.cc,v 1.4 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #include "G4EmDNAPhysics.hh"
@@ -62,4 +62,5 @@
 #include "G4Positron.hh"
 #include "G4eMultipleScattering.hh"
+#include "G4GoudsmitSaundersonMscModel.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
@@ -79,7 +80,12 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmDNAPhysics::G4EmDNAPhysics(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmDNAPhysics::G4EmDNAPhysics(G4int ver)
+  : G4VPhysicsConstructor("G4EmDNAPhysics"), verbose(ver)
+{}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmDNAPhysics::G4EmDNAPhysics(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmDNAPhysics"), verbose(ver)
 {}
 
@@ -185,4 +191,5 @@
       G4eMultipleScattering* msc = new G4eMultipleScattering();
       msc->SetStepLimitType(fUseDistanceToBoundary);
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       pmanager->AddProcess(msc,                   -1, 1, 1);
 
Index: trunk/source/physics_lists/builders/src/G4EmExtraPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmExtraPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmExtraPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmExtraPhysics.cc,v 1.3 2008/01/08 10:36:32 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmExtraPhysics.cc,v 1.4 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -53,9 +53,18 @@
 #include "G4ProcessManager.hh"
 
-G4EmExtraPhysics::G4EmExtraPhysics(const G4String& name): 
-  G4VPhysicsConstructor(name), wasBuilt(false), gnActivated(false), munActivated(false), 
-  synActivated(false), synchOn(false), gammNucOn(true), muNucOn(false), 
-  theElectronSynch(0), thePositronSynch(0), theGNPhysics(0), theMuNuc1(0), 
-  theMuNuc2(0)
+G4EmExtraPhysics::G4EmExtraPhysics(G4int ver): 
+  G4VPhysicsConstructor("G4GammaLeptoNuclearPhys"), wasBuilt(false), gnActivated(false), 
+  munActivated(false), synActivated(false), synchOn(false), gammNucOn(true), muNucOn(false), 
+  theElectronSynch(0), thePositronSynch(0), theGNPhysics(0), theMuNuc1(0), theMuNuc2(0),
+  verbose(ver)
+{
+  theMessenger = new G4EmMessenger(this);
+}
+
+G4EmExtraPhysics::G4EmExtraPhysics(const G4String&): 
+  G4VPhysicsConstructor("G4GammaLeptoNuclearPhys"), wasBuilt(false), gnActivated(false), 
+  munActivated(false), synActivated(false), synchOn(false), gammNucOn(true), muNucOn(false), 
+  theElectronSynch(0), thePositronSynch(0), theGNPhysics(0), theMuNuc1(0), theMuNuc2(0),
+  verbose(1)
 {
   theMessenger = new G4EmMessenger(this);
Index: trunk/source/physics_lists/builders/src/G4EmLivermorePhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmLivermorePhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmLivermorePhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmLivermorePhysics.cc,v 1.7 2009/11/24 12:53:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmLivermorePhysics.cc,v 1.9 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #include "G4EmLivermorePhysics.hh"
@@ -86,4 +86,5 @@
 #include "G4UrbanMscModel93.hh"
 #include "G4WentzelVIModel.hh"
+#include "G4GoudsmitSaundersonMscModel.hh"
 #include "G4CoulombScattering.hh"
 
@@ -114,7 +115,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmLivermorePhysics::G4EmLivermorePhysics(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmLivermorePhysics::G4EmLivermorePhysics(G4int ver)
+  : G4VPhysicsConstructor("G4EmLivermorePhysics"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmLivermorePhysics::G4EmLivermorePhysics(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmLivermorePhysics"), verbose(ver)
 {
   G4LossTableManager::Instance();
@@ -211,5 +219,6 @@
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
@@ -219,5 +228,5 @@
       G4LivermoreIonisationModel* theIoniLivermore = new
         G4LivermoreIonisationModel();
-      theIoniLivermore->SetHighEnergyLimit(LivermoreHighEnergyLimit); 
+      theIoniLivermore->SetHighEnergyLimit(1*MeV); 
       eIoni->AddEmModel(0, theIoniLivermore, new G4UniversalFluctuation() );
       eIoni->SetStepFunction(0.2, 100*um); //     
@@ -237,5 +246,6 @@
       
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
Index: trunk/source/physics_lists/builders/src/G4EmLivermorePolarizedPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmLivermorePolarizedPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmLivermorePolarizedPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmLivermorePolarizedPhysics.cc,v 1.6 2009/11/24 12:53:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmLivermorePolarizedPhysics.cc,v 1.8 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #include "G4EmLivermorePolarizedPhysics.hh"
@@ -86,4 +86,5 @@
 #include "G4UrbanMscModel93.hh"
 #include "G4WentzelVIModel.hh"
+#include "G4GoudsmitSaundersonMscModel.hh"
 #include "G4CoulombScattering.hh"
 
@@ -114,7 +115,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmLivermorePolarizedPhysics::G4EmLivermorePolarizedPhysics(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmLivermorePolarizedPhysics::G4EmLivermorePolarizedPhysics(G4int ver)
+  : G4VPhysicsConstructor("G4EmLivermorePolarizedPhysics"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmLivermorePolarizedPhysics::G4EmLivermorePolarizedPhysics(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmLivermorePolarizedPhysics"), verbose(ver)
 {
   G4LossTableManager::Instance();
@@ -208,5 +216,6 @@
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
@@ -216,5 +225,5 @@
       G4LivermoreIonisationModel* theIoniLivermore = new
         G4LivermoreIonisationModel();
-      theIoniLivermore->SetHighEnergyLimit(LivermoreHighEnergyLimit); 
+      theIoniLivermore->SetHighEnergyLimit(1*MeV); 
       eIoni->AddEmModel(0, theIoniLivermore, new G4UniversalFluctuation() );
       eIoni->SetStepFunction(0.2, 100*um); //     
@@ -234,5 +243,6 @@
       
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
Index: trunk/source/physics_lists/builders/src/G4EmPenelopePhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmPenelopePhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmPenelopePhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmPenelopePhysics.cc,v 1.7 2009/11/24 12:53:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmPenelopePhysics.cc,v 1.9 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 
 #include "G4EmPenelopePhysics.hh"
@@ -87,4 +87,5 @@
 #include "G4UrbanMscModel93.hh"
 #include "G4WentzelVIModel.hh"
+#include "G4GoudsmitSaundersonMscModel.hh"
 #include "G4CoulombScattering.hh"
 
@@ -115,7 +116,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmPenelopePhysics::G4EmPenelopePhysics(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmPenelopePhysics::G4EmPenelopePhysics(G4int ver)
+  : G4VPhysicsConstructor("G4EmPenelopePhysics"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmPenelopePhysics::G4EmPenelopePhysics(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmPenelopePhysics"), verbose(ver)
 {
   G4LossTableManager::Instance();
@@ -216,5 +224,6 @@
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
@@ -240,5 +249,6 @@
     
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
Index: trunk/source/physics_lists/builders/src/G4EmStandardPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmStandardPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmStandardPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmStandardPhysics.cc,v 1.20 2009/10/30 18:36:15 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics.cc,v 1.21 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -90,6 +90,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmStandardPhysics::G4EmStandardPhysics(G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmStandardPhysics::G4EmStandardPhysics(G4int ver)
+  : G4VPhysicsConstructor("G4EmStandard"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmStandardPhysics::G4EmStandardPhysics(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmStandard"), verbose(ver)
 {
   G4LossTableManager::Instance();
Index: trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option1.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option1.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option1.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmStandardPhysics_option1.cc,v 1.15 2009/10/30 18:36:15 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics_option1.cc,v 1.16 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -93,7 +93,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmStandardPhysics_option1::G4EmStandardPhysics_option1(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmStandardPhysics_option1::G4EmStandardPhysics_option1(G4int ver)
+  : G4VPhysicsConstructor("G4EmStandard_opt1"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmStandardPhysics_option1::G4EmStandardPhysics_option1(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmStandard_opt1"), verbose(ver)
 {
   G4LossTableManager::Instance();
Index: trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option2.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option2.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option2.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmStandardPhysics_option2.cc,v 1.20 2009/11/24 12:53:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics_option2.cc,v 1.23 2010/06/04 10:39:55 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -99,7 +99,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmStandardPhysics_option2::G4EmStandardPhysics_option2(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmStandardPhysics_option2::G4EmStandardPhysics_option2(G4int ver)
+  : G4VPhysicsConstructor("G4EmStandard_opt2"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmStandardPhysics_option2::G4EmStandardPhysics_option2(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmStandard_opt2"), verbose(ver)
 {
   G4LossTableManager::Instance();
@@ -166,14 +173,19 @@
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4WentzelVIModel());
+      msc->SetRangeFactor(0.1);
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
       //      msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       pmanager->AddProcess(msc,                       -1, 1, 1);
       pmanager->AddProcess(new G4eIonisation,         -1, 2, 2);
       pmanager->AddProcess(new G4eBremsstrahlung,     -1,-3, 3);
+      pmanager->AddDiscreteProcess(new G4CoulombScattering());
 
     } else if (particleName == "e+") {
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
+      msc->AddEmModel(0, new G4WentzelVIModel());
+      msc->SetRangeFactor(0.1);
       // msc->AddEmModel(0, new G4GoudsmitSaundersonMscModel());
       pmanager->AddProcess(msc,                       -1, 1, 1);
@@ -181,4 +193,5 @@
       pmanager->AddProcess(new G4eBremsstrahlung,     -1,-3, 3);
       pmanager->AddProcess(new G4eplusAnnihilation,    0,-1, 4);
+      pmanager->AddDiscreteProcess(new G4CoulombScattering());
 
     } else if (particleName == "mu+" ||
Index: trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option3.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option3.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4EmStandardPhysics_option3.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmStandardPhysics_option3.cc,v 1.18 2009/11/24 12:53:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4EmStandardPhysics_option3.cc,v 1.20 2010/06/02 17:21:29 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -94,7 +94,14 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4EmStandardPhysics_option3::G4EmStandardPhysics_option3(
-    G4int ver, const G4String& name)
-  : G4VPhysicsConstructor(name), verbose(ver)
+G4EmStandardPhysics_option3::G4EmStandardPhysics_option3(G4int ver)
+  : G4VPhysicsConstructor("G4EmStandard_opt3"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+G4EmStandardPhysics_option3::G4EmStandardPhysics_option3(G4int ver, const G4String&)
+  : G4VPhysicsConstructor("G4EmStandard_opt3"), verbose(ver)
 {
   G4LossTableManager::Instance();
@@ -162,5 +169,5 @@
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
@@ -173,5 +180,5 @@
 
       G4eMultipleScattering* msc = new G4eMultipleScattering();
-      msc->AddEmModel(0, new G4UrbanMscModel93());
+      //msc->AddEmModel(0, new G4UrbanMscModel93());
       msc->SetStepLimitType(fUseDistanceToBoundary);
       pmanager->AddProcess(msc,                   -1, 1, 1);
Index: trunk/source/physics_lists/builders/src/G4HadronDElasticPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4HadronDElasticPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4HadronDElasticPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronDElasticPhysics.cc,v 1.3 2008/05/19 10:21:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronDElasticPhysics.cc,v 1.6 2010/06/03 15:09:54 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -43,18 +43,18 @@
 //                     for neutrons
 // 06.03.2007 V.Ivanchenko use updated interface to G4UElasticCrossSection
+// 03.06.2010 V.Ivanchenko cleanup constructors and ConstructProcess method
 //
 //----------------------------------------------------------------------------
 //
+// Diffuse optical model for sampling scattering
+// BBG cross sections for p, pi+-
+// XS cross sections for n
+// LHEP cross sections for other particles
 
 #include "G4HadronDElasticPhysics.hh"
 
-#include "G4HadronicProcess.hh"
-#include "G4HadronElasticProcess.hh"
-#include "G4HadronicInteraction.hh"
-#include "G4DiffuseElastic.hh"
-#include "G4HadronElastic.hh"
-
 #include "G4ParticleDefinition.hh"
 #include "G4ProcessManager.hh"
+#include "G4HadronicProcess.hh"
 
 #include "G4MesonConstructor.hh"
@@ -63,14 +63,36 @@
 #include "G4Neutron.hh"
 
-#include "G4VQCrossSection.hh"
-#include "G4UElasticCrossSection.hh"
+#include "G4WHadronElasticProcess.hh"
+#include "G4VHadronElastic.hh"
+#include "G4CHIPSElastic.hh"
+#include "G4ElasticHadrNucleusHE.hh"
+#include "G4BGGNucleonElasticXS.hh"
+#include "G4BGGPionElasticXS.hh"
+#include "G4NeutronElasticXS.hh"
+
+#include "G4DiffuseElastic.hh"
+
+#include "G4NeutronElasticXS.hh"
 #include "G4BGGNucleonElasticXS.hh"
 #include "G4BGGPionElasticXS.hh"
 
-G4HadronDElasticPhysics::G4HadronDElasticPhysics(G4int ver, G4bool hp)
-  : G4VPhysicsConstructor("DElastic"), mname("DElastic"), verbose(ver), 
-    hpFlag(hp), wasActivated(false)
+G4HadronDElasticPhysics::G4HadronDElasticPhysics(G4int ver)
+  : G4VPhysicsConstructor("hElasticDIFFUSE"), verbose(ver), 
+    wasActivated(false)
 {
-  if(verbose > 1) G4cout << "### HadronDElasticPhysics" << G4endl;
+  if(verbose > 1) { 
+    G4cout << "### G4HadronHElasticPhysics: " << GetPhysicsName() 
+	   << G4endl; 
+  }
+}
+
+G4HadronDElasticPhysics::G4HadronDElasticPhysics(G4int ver, G4bool)
+  : G4VPhysicsConstructor("hElasticDIFFUSE"), verbose(ver), 
+    wasActivated(false)
+{
+  if(verbose > 1) { 
+    G4cout << "### G4HadronHElasticPhysics: " << GetPhysicsName() 
+	   << G4endl; 
+  }
 }
 
@@ -97,16 +119,21 @@
   wasActivated = true;
 
-  if(verbose > 1) 
-    G4cout << "### HadronDElasticPhysics Construct Processes with the model <" 
-	   << mname << ">" << G4endl;
+  //G4double elimit = 1.0*GeV;
 
-  G4UHadronElasticProcess* hel = 0;
+  if(verbose > 1) {
+    G4cout << "### HadronDElasticPhysics Construct Processes " << G4endl;
+  }
+
+  //G4VHadronElastic* plep0 = new G4VHadronElastic();
+  //G4VHadronElastic* plep1 = new G4VHadronElastic();
+  //plep1->SetMaxEnergy(elimit);
+
+  //  G4CHIPSElastic* chipsp = new G4CHIPSElastic();
+  // G4CHIPSElastic* chipsn = new G4CHIPSElastic();
+
+  //G4ElasticHadrNucleusHE* he = new G4ElasticHadrNucleusHE(); 
+  //he->SetMinEnergy(elimit);
+
   G4DiffuseElastic* model = 0;
-
-  G4double elimit = 11.0*MeV;
-
-  G4HadronElastic* he = new G4HadronElastic();
-  G4VQCrossSection* man = he->GetCS();
-  he->SetMaxEnergy(elimit);
 
   theParticleIterator->reset();
@@ -140,16 +167,12 @@
       
       G4ProcessManager* pmanager = particle->GetProcessManager();
-      hel = new G4UHadronElasticProcess("hElastic");
-      hel->SetQElasticCrossSection(man);
+      G4WHadronElasticProcess* hel = new G4WHadronElasticProcess();
       if(pname == "proton") { 
 	hel->AddDataSet(new G4BGGNucleonElasticXS(particle));
       } else if (pname == "pi+" || pname == "pi-") { 
 	hel->AddDataSet(new G4BGGPionElasticXS(particle));
-      } else {
-        hel->AddDataSet(new G4UElasticCrossSection(particle));
       }
       model = new G4DiffuseElastic(particle);
       hel->RegisterMe(model);
-      hel->RegisterMe(he);
       pmanager->AddDiscreteProcess(hel);
 
@@ -158,16 +181,7 @@
 
       G4ProcessManager* pmanager = particle->GetProcessManager();
-      hel = new G4UHadronElasticProcess("hElastic");
-      hel->SetQElasticCrossSection(man);
-      hel->AddDataSet(new G4BGGNucleonElasticXS(particle));
+      G4WHadronElasticProcess* hel = new G4WHadronElasticProcess();
+      hel->AddDataSet(new G4NeutronElasticXS());
       model = new G4DiffuseElastic(particle);
-      if(hpFlag) {
-	model->SetMinEnergy(19.5*MeV);
-	G4NeutronHPElastic* modelHP = new G4NeutronHPElastic();
-	hel->RegisterMe(modelHP);
-	hel->AddDataSet(new G4NeutronHPElasticData());
-      } else {
-	hel->RegisterMe(he);
-      }
       hel->RegisterMe(model);
       pmanager->AddDiscreteProcess(hel);
Index: trunk/source/physics_lists/builders/src/G4HadronElasticPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4HadronElasticPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4HadronElasticPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronElasticPhysics.cc,v 1.9 2008/12/01 16:57:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronElasticPhysics.cc,v 1.12 2010/06/03 16:28:39 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -66,4 +66,14 @@
 #include "G4BGGNucleonElasticXS.hh"
 #include "G4BGGPionElasticXS.hh"
+
+G4HadronElasticPhysics::G4HadronElasticPhysics(G4int ver)
+  : G4VPhysicsConstructor("elastic"), mname("elastic"),verbose(ver),
+    hpFlag(false), glFlag(false),wasActivated(false)
+{
+  if(verbose > 1) G4cout << "### HadronElasticPhysics" << G4endl;
+  model = 0;
+  neutronModel = 0;
+  neutronHPModel = 0;  
+}
 
 G4HadronElasticPhysics::G4HadronElasticPhysics(
Index: trunk/source/physics_lists/builders/src/G4HadronHElasticPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4HadronHElasticPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4HadronHElasticPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronHElasticPhysics.cc,v 1.7 2009/11/28 17:35:01 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronHElasticPhysics.cc,v 1.9 2010/06/03 14:28:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -36,7 +36,13 @@
 // 21.03.07 (V.Ivanchenko) Use G4BGGNucleonElasticXS and G4BGGPionElasticXS; 
 //                         Reduce thresholds for HE and Q-models to zero
+// 03.06.2010 V.Ivanchenko cleanup constructors and ConstructProcess method
 //
 //----------------------------------------------------------------------------
 //
+// CHIPS for sampling scattering for p and n
+// Glauber model for samplimg of high energy pi+- (E > 1GeV)
+// LHEP sampling model for the other particle
+// BBG cross sections for p, n and pi+- 
+// LHEP cross sections for other particles
 
 #include "G4HadronHElasticPhysics.hh"
@@ -54,16 +60,27 @@
 #include "G4CHIPSElastic.hh"
 #include "G4ElasticHadrNucleusHE.hh"
-#include "G4NeutronHPElastic.hh"
-#include "G4UElasticCrossSection.hh"
 #include "G4BGGNucleonElasticXS.hh"
 #include "G4BGGPionElasticXS.hh"
 #include "G4NeutronElasticXS.hh"
 
-G4HadronHElasticPhysics::G4HadronHElasticPhysics(G4int ver, G4bool hp,
-						 const G4String& type)
-  : G4VPhysicsConstructor("HElastic"), verbose(ver), 
-    hpFlag(hp), wasActivated(false), subtype(type)
+G4HadronHElasticPhysics::G4HadronHElasticPhysics(G4int ver)
+  : G4VPhysicsConstructor("hElasticWEL_CHIPS"), verbose(ver), 
+    wasActivated(false)
 {
-  if(verbose > 1) G4cout << "### HadronHElasticPhysics" << G4endl;
+  if(verbose > 1) { 
+    G4cout << "### G4HadronHElasticPhysics: " << GetPhysicsName() 
+	   << G4endl; 
+  }
+}
+
+G4HadronHElasticPhysics::G4HadronHElasticPhysics(G4int ver, G4bool,
+						 const G4String&)
+  : G4VPhysicsConstructor("hElasticWEL_CHIPS"), verbose(ver), 
+    wasActivated(false)
+{
+  if(verbose > 1) { 
+    G4cout << "### G4HadronHElasticPhysics: " << GetPhysicsName() 
+	   << G4endl; 
+  }
 }
 
@@ -87,5 +104,5 @@
 void G4HadronHElasticPhysics::ConstructProcess()
 {
-  if(wasActivated) return;
+  if(wasActivated) { return; }
   wasActivated = true;
 
@@ -145,5 +162,4 @@
 	hel->RegisterMe(he);
       } else {
-	//hel->AddDataSet(new G4UElasticCrossSection(particle));
 	hel->RegisterMe(plep0);
       }
@@ -159,17 +175,7 @@
       G4ProcessManager* pmanager = particle->GetProcessManager();
       G4WHadronElasticProcess* hel = new G4WHadronElasticProcess();
-      if(subtype == "QBBC_XGGSN") {
-	hel->AddDataSet(new G4NeutronElasticXS());
-      } else {
-	hel->AddDataSet(new G4BGGNucleonElasticXS(particle));
-      }
+      hel->AddDataSet(new G4BGGNucleonElasticXS(particle));
       hel->RegisterMe(chipsn);
 
-      if(hpFlag) {
-	chipsn->SetMinEnergy(19.5*MeV);
-	G4NeutronHPElastic* hp = new G4NeutronHPElastic();
-	hel->RegisterMe(hp);
-	hel->AddDataSet(new G4NeutronHPElasticData());
-      }
       pmanager->AddDiscreteProcess(hel);
 
Index: trunk/source/physics_lists/builders/src/G4HadronQElasticPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4HadronQElasticPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4HadronQElasticPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronQElasticPhysics.cc,v 1.7 2008/05/19 10:21:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4HadronQElasticPhysics.cc,v 1.9 2010/06/03 14:28:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -34,7 +34,10 @@
 //
 // Modified:
+// 03.06.2010 V.Ivanchenko cleanup constructors and ConstructProcess method
 //
 //----------------------------------------------------------------------------
 //
+// CHIPS x-sections and generator (G4QElastic) for n and p
+// LHEP x-section and generator for the rest 
 
 #include "G4HadronQElasticPhysics.hh"
@@ -54,9 +57,23 @@
 #include "G4IonConstructor.hh"
 
-G4HadronQElasticPhysics::G4HadronQElasticPhysics(
-    const G4String& name,  G4int ver)
-  : G4VPhysicsConstructor(name), verbose(ver), wasActivated(false)
+G4HadronQElasticPhysics::G4HadronQElasticPhysics(G4int ver)
+  : G4VPhysicsConstructor("hElasticCHIPS_LHEP"), verbose(ver),
+    wasActivated(false)
 {
-  if(verbose > 1) G4cout << "### HadronQElasticPhysics" << G4endl;
+  if(verbose > 1) { 
+    G4cout << "### G4HadronQElasticPhysics: " << GetPhysicsName() 
+	   << G4endl; 
+  }
+  model = 0;
+}
+
+G4HadronQElasticPhysics::G4HadronQElasticPhysics(const G4String&,  G4int ver)
+  : G4VPhysicsConstructor("hElasticCHIPS_UELAST"), verbose(ver),
+    wasActivated(false)
+{
+  if(verbose > 1) { 
+    G4cout << "### G4HadronQElasticPhysics: " << GetPhysicsName() 
+	   << G4endl; 
+  }
   model = 0;
 }
@@ -82,13 +99,13 @@
 void G4HadronQElasticPhysics::ConstructProcess()
 {
-  if(wasActivated) return;
+  if(wasActivated) { return; }
   wasActivated = true;
 
   G4double elimit = DBL_MAX;
 
-  if(verbose > 1) 
+  if(verbose > 1) {
     G4cout << "### HadronQElasticPhysics: use HE limit " << elimit << " MeV" 
 	   << G4endl;
-
+  }
   process = new G4QElastic();
 
Index: trunk/source/physics_lists/builders/src/G4IonBinaryCascadePhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4IonBinaryCascadePhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4IonBinaryCascadePhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonBinaryCascadePhysics.cc,v 1.2 2009/02/16 10:15:35 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonBinaryCascadePhysics.cc,v 1.3 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -59,7 +59,16 @@
 #include "G4IonConstructor.hh"
 
+G4IonBinaryCascadePhysics::G4IonBinaryCascadePhysics(G4int ver)
+  :  G4VPhysicsConstructor("IonBinaryCascade"), verbose(ver), wasActivated(false)
+{
+  emax     = 20.*GeV;
+  emaxLHEP = 1.*TeV;
+  eminBIC  = 0.*MeV;
+  if(verbose > 1) G4cout << "### G4IonBinaryCascadePhysics" << G4endl;
+}
+
 G4IonBinaryCascadePhysics::G4IonBinaryCascadePhysics(const G4String& name, 
-						     G4int verb)
-  :  G4VPhysicsConstructor(name), verbose(verb), wasActivated(false)
+						     G4int ver)
+  :  G4VPhysicsConstructor(name), verbose(ver), wasActivated(false)
 {
   emax     = 20.*GeV;
Index: trunk/source/physics_lists/builders/src/G4IonInclAblaPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4IonInclAblaPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4IonInclAblaPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonInclAblaPhysics.cc,v 1.1 2009/07/19 18:24:03 kaitanie Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonInclAblaPhysics.cc,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -59,7 +59,20 @@
 #include "G4IonConstructor.hh"
 
+G4IonInclAblaPhysics::G4IonInclAblaPhysics(G4int ver)
+  :  G4VPhysicsConstructor("IonInclAbla"), verbose(ver), wasActivated(false)
+{
+  // INCL/ABLA light ion maximum energy is 3.0 GeV/nucleon
+  emax_d     = 2 * 3.0 * GeV;
+  emax_t     = 3 * 3.0 * GeV;
+  emax_he3   = 3 * 3.0 * GeV;
+  emax_alpha = 4 * 3.0 * GeV;
+  emaxLHEP   = 1.*TeV;
+  emin       = 0.*MeV;
+  if(verbose > 1) G4cout << "### G4IonInclAblaPhysics" << G4endl;
+}
+
 G4IonInclAblaPhysics::G4IonInclAblaPhysics(const G4String& name, 
-						     G4int verb)
-  :  G4VPhysicsConstructor(name), verbose(verb), wasActivated(false)
+						     G4int ver)
+  :  G4VPhysicsConstructor(name), verbose(ver), wasActivated(false)
 {
   // INCL/ABLA light ion maximum energy is 3.0 GeV/nucleon
Index: trunk/source/physics_lists/builders/src/G4IonPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4IonPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4IonPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonPhysics.cc,v 1.1 2006/10/31 11:35:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonPhysics.cc,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -55,4 +55,10 @@
 // Nuclei
 #include "G4IonConstructor.hh"
+
+G4IonPhysics::G4IonPhysics(G4int)
+                  :  G4VPhysicsConstructor("IonPhysics")
+		   , wasActivated(false)
+{
+}
 
 G4IonPhysics::G4IonPhysics(const G4String& name)
@@ -112,6 +118,2 @@
    pConstructor.ConstructParticle();  
  }
-
-
-
- // 2002 by J.P. Wellisch
Index: trunk/source/physics_lists/builders/src/G4IonQMDPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4IonQMDPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4IonQMDPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4IonQMDPhysics.cc,v 1.1 2009/11/27 17:25:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4IonQMDPhysics.cc,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -60,7 +60,18 @@
 #include "G4IonConstructor.hh"
 
+G4IonQMDPhysics::G4IonQMDPhysics(G4int ver)
+  :  G4VPhysicsConstructor("IonQMD"), verbose(ver), wasActivated(false)
+{
+  eminBIC  = 0.*MeV;
+  eminQMD  = 100.*MeV;
+  emaxQMD  = 10.*GeV;
+  emaxLHEP = 1.*TeV;
+  overlap  = 10*MeV;
+  if(verbose > 1) G4cout << "### G4IonQMDPhysics" << G4endl;
+}
+
 G4IonQMDPhysics::G4IonQMDPhysics(const G4String& name, 
-						     G4int verb)
-  :  G4VPhysicsConstructor(name), verbose(verb), wasActivated(false)
+						     G4int ver)
+  :  G4VPhysicsConstructor(name), verbose(ver), wasActivated(false)
 {
   eminBIC  = 0.*MeV;
Index: trunk/source/physics_lists/builders/src/G4LHEPStoppingPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4LHEPStoppingPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4LHEPStoppingPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4LHEPStoppingPhysics.cc,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4LHEPStoppingPhysics.cc,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -56,4 +56,8 @@
 #include "G4AntiProtonAnnihilationAtRest.hh"
 #include "G4AntiNeutronAnnihilationAtRest.hh"
+
+G4LHEPStoppingPhysics::G4LHEPStoppingPhysics(G4int ver)
+  : G4VPhysicsConstructor("LHEP Stopping"), verbose(ver), wasActivated(false)
+{}
 
 G4LHEPStoppingPhysics::G4LHEPStoppingPhysics(const G4String& nam, G4int ver)
Index: trunk/source/physics_lists/builders/src/G4NeutronTrackingCut.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4NeutronTrackingCut.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4NeutronTrackingCut.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4NeutronTrackingCut.cc,v 1.5 2008/09/17 18:19:15 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4NeutronTrackingCut.cc,v 1.6 2010/06/04 15:28:35 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -44,4 +44,12 @@
 #include "G4Neutron.hh"
 #include "G4NeutronKiller.hh"
+
+G4NeutronTrackingCut::G4NeutronTrackingCut(G4int ver)
+  :  G4VPhysicsConstructor("neutronTrackingCut")
+   , verbose(ver), wasActivated(false)
+{
+  timeLimit          = 10.*microsecond;
+  kineticEnergyLimit = 0.0;
+}
 
 G4NeutronTrackingCut::G4NeutronTrackingCut(const G4String& name, G4int ver)
Index: trunk/source/physics_lists/builders/src/G4OpticalPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4OpticalPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4OpticalPhysics.cc	(revision 1315)
@@ -42,7 +42,7 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-G4OpticalPhysics::G4OpticalPhysics(G4int verbose, const G4String& name)
-  : G4VPhysicsConstructor(name),
+G4OpticalPhysics::G4OpticalPhysics(G4int verbose) 
+  : G4VPhysicsConstructor("Optical")
+,
     wasActivated(false),
 
@@ -65,4 +65,26 @@
 }
 
+G4OpticalPhysics::G4OpticalPhysics(G4int verbose, const G4String& name)
+  : G4VPhysicsConstructor(name),
+    wasActivated(false),
+
+    fScintillationProcess(0),
+    fCerenkovProcess(0),
+    fOpWLSProcess(0),
+    fOpAbsorptionProcess(0),
+    fOpRayleighScatteringProcess(0),
+    fOpBoundaryProcess(0),
+    fMaxNumPhotons(100),
+    fMaxBetaChange(10.0),
+    fYieldFactor(1.),
+    fExcitationRatio(0.0),
+    fSurfaceModel(unified),
+    fProfile("delta"),
+    fTrackSecondariesFirst(true)
+{
+  verboseLevel = verbose;
+  fMessenger = new G4OpticalPhysicsMessenger(this);
+}
+
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
Index: trunk/source/physics_lists/builders/src/G4QAtomicPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QAtomicPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4QAtomicPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QAtomicPhysics.cc,v 1.1 2009/11/20 10:24:28 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QAtomicPhysics.cc,v 1.2 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -90,4 +90,10 @@
 #include "G4GenericIon.hh"
 
+G4QAtomicPhysics::G4QAtomicPhysics(G4int ver)
+  : G4VPhysicsConstructor("CHIPS Atomic"), verbose(ver)
+{
+  G4LossTableManager::Instance();
+}
+
 G4QAtomicPhysics::G4QAtomicPhysics(G4int ver, const G4String& name)
   : G4VPhysicsConstructor(name), verbose(ver)
Index: trunk/source/physics_lists/builders/src/G4QCaptureAtRestPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QCaptureAtRestPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4QCaptureAtRestPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCaptureAtRestPhysics.cc,v 1.1 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QCaptureAtRestPhysics.cc,v 1.2 2010/06/03 15:03:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -39,4 +39,11 @@
 
 #include "G4QCaptureAtRestPhysics.hh"
+
+G4QCaptureAtRestPhysics::G4QCaptureAtRestPhysics(G4int ver)
+  :  G4VPhysicsConstructor("CHIPS nuclear_capture")
+   , verbose(ver), wasActivated(false)
+{
+  if(verbose > 1) G4cout << "###> G4QCaptureAtRestPhysics is initialized" << G4endl;
+}
 
 G4QCaptureAtRestPhysics::G4QCaptureAtRestPhysics(const G4String& name, G4int ver)
Index: trunk/source/physics_lists/builders/src/G4QNeutrinoPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QNeutrinoPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4QNeutrinoPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QNeutrinoPhysics.cc,v 1.3 2009/11/30 18:44:49 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QNeutrinoPhysics.cc,v 1.4 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -39,4 +39,13 @@
 
 #include "G4QNeutrinoPhysics.hh"
+
+G4QNeutrinoPhysics::G4QNeutrinoPhysics(G4int): 
+  G4VPhysicsConstructor("CHIPS neutrino-nuclear"), wasBuilt(false), nuEleActivated(false),
+  nuMuoActivated(false), nuTauActivated(false), nuEleOn(false),
+  nuMuoOn(false), nuTauOn(false), nuNucBias(1.), inelastic(0)
+{
+  theMessenger = G4QMessenger::GetPointer();
+  theMessenger->Add(this);
+}
 
 G4QNeutrinoPhysics::G4QNeutrinoPhysics(const G4String& name): 
Index: trunk/source/physics_lists/builders/src/G4QPhotoNuclearPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QPhotoNuclearPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4QPhotoNuclearPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QPhotoNuclearPhysics.cc,v 1.2 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QPhotoNuclearPhysics.cc,v 1.3 2010/06/03 14:37:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -40,4 +40,14 @@
 #include "G4QPhotoNuclearPhysics.hh"
 
+
+G4QPhotoNuclearPhysics::G4QPhotoNuclearPhysics(G4int): 
+  G4VPhysicsConstructor("CHIPS photo-nuclear"), wasBuilt(false), SynchRActivated(false),
+  GamNucActivated(false), EleNucActivated(false), MuoNucActivated(false),
+  TauNucActivated(false), synchrOn(true), synchrMinGam(227.), gamNucOn(true),
+  eleNucOn(true), muoNucOn(true), tauNucOn(true), photoNucBias(1.)
+{
+  theMessenger = G4QMessenger::GetPointer();
+  theMessenger->Add(this);
+}
 
 G4QPhotoNuclearPhysics::G4QPhotoNuclearPhysics(const G4String& name): 
Index: trunk/source/physics_lists/builders/src/G4QStoppingPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QStoppingPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4QStoppingPhysics.cc	(revision 1315)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QStoppingPhysics.cc,v 1.2 2007/04/26 16:03:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4QStoppingPhysics.cc,v 1.5 2010/06/03 16:28:39 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -49,4 +49,11 @@
 #include "G4BaryonConstructor.hh"
 #include "G4MuonMinus.hh"
+
+G4QStoppingPhysics::G4QStoppingPhysics(G4int ver)
+  :  G4VPhysicsConstructor("stopping"), verbose(ver), wasActivated(false) ,
+     useMuonMinusCaptureAtRest(true)
+{
+  if(verbose > 1) G4cout << "### G4QStoppingPhysics" << G4endl;
+}
 
 G4QStoppingPhysics::G4QStoppingPhysics(const G4String& name, G4int ver,
Index: trunk/source/physics_lists/builders/src/G4RadioactiveDecayPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4RadioactiveDecayPhysics.cc	(revision 1274)
+++ trunk/source/physics_lists/builders/src/G4RadioactiveDecayPhysics.cc	(revision 1315)
@@ -36,4 +36,8 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
+G4RadioactiveDecayPhysics::G4RadioactiveDecayPhysics(G4int)
+  :  G4VPhysicsConstructor("G4RadioactiveDecay"), theRadioactiveDecay(0)
+{}
+
 G4RadioactiveDecayPhysics::G4RadioactiveDecayPhysics(const G4String& name)
   :  G4VPhysicsConstructor(name), theRadioactiveDecay(0)
